Bug 290441 - Add/Remove Software
Add/Remove Software
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 02:20 EDT by Faisal Mahmood
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 19:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add/Remove Software Bug (2.22 KB, application/octet-stream)
2007-09-14 02:20 EDT, Faisal Mahmood
no flags Details

  None (edit)
Description Faisal Mahmood 2007-09-14 02:20:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Faisal Mahmood 2007-09-14 02:20:05 EDT
Created attachment 195601 [details]
Add/Remove Software Bug
Comment 2 Faisal Mahmood 2007-09-14 02:22:10 EDT
Component: pirut
Summary: TB5cf90941 yumRepo.py:612:_getFile:NoMoreMirrorsRepoError: failure:
repodata/primary.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 441, in <module>
    main()
  File "/usr/sbin/pirut", line 434, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 61, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 517, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 377, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 151, in populate
    db_fn = repo.retrieveMD(mydbtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 839, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 612, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
NoMoreMirrorsRepoError: failure: repodata/primary.sqlite.bz2 from updates:
[Errno 256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: updates
cache: True
reget: None
relative: repodata/primary.sqlite.bz2
headers: ()
checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository
object at 0x8fd93cc>>, ('primary_db',), {})
errstr: failure: repodata/primary.sqlite.bz2 from updates: [Errno 256] No more
mirrors to try.
copy_local: 1
end: None
local: //var/cache/yum/updates/primary.sqlite.bz2
Comment 3 Jeremy Katz 2007-09-14 10:19:43 EDT
Is this reproducible?  Usually this is the result of a sporadic mirror problem
that goes away after they finish syncing.

And better handling of the error is in a new pirut version which I'll be pushing
for F7 within the next week or two
Comment 4 Faisal Mahmood 2007-09-15 00:06:55 EDT
Thanks now it is working fine.

Note You need to log in before you can comment on or make changes to this bug.